from pydantic import BaseModel
from datetime import datetime

class InviteAccept(BaseModel):
    code: str

class InviteCodePublic(BaseModel):
    code: str
    expires_at: datetime
    group_id: int

# Properties for internal use/DB (optional)
# class Invite(InviteCodePublic):
#     id: int
#     created_by_id: int
#     is_active: bool = True
#     model_config = ConfigDict(from_attributes=True)